- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.searchEntities
Identifies the entity type and retrieves relevant data associated with a specified indicator. The API returns a maximum of 1000 entities.
HTTP request
GET https://{endpoint}/v1beta/{instance}:searchEntities
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
instance |
Required. The ID of the Instance to search entities for. Format: |
Query parameters
| Parameters | |
|---|---|
indicator |
Required. Value of indicator tied to an entity. |
Request body
The request body must be empty.
Response body
Response message for search entities.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"entities": [
{
object ( |
| Fields | |
|---|---|
entities[] |
A list of entities. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the instance resource:
chronicle.entities.searchEntities
For more information, see the IAM documentation.